public static interface BeanValidatorEndpointBuilderFactory.BeanValidatorBuilders
| Modifier and Type | Method and Description |
|---|---|
default BeanValidatorEndpointBuilderFactory.BeanValidatorEndpointBuilder |
beanValidator(String path)
Bean Validator (camel-bean-validator)
Validate the message body using the Java Bean Validation API.
|
default BeanValidatorEndpointBuilderFactory.BeanValidatorEndpointBuilder |
beanValidator(String componentName,
String path)
Bean Validator (camel-bean-validator)
Validate the message body using the Java Bean Validation API.
|
default BeanValidatorEndpointBuilderFactory.BeanValidatorEndpointBuilder beanValidator(String path)
bean-validator:label
Path parameter: label (required)
Where label is an arbitrary text value describing the endpointpath - labeldefault BeanValidatorEndpointBuilderFactory.BeanValidatorEndpointBuilder beanValidator(String componentName, String path)
bean-validator:label
Path parameter: label (required)
Where label is an arbitrary text value describing the endpointcomponentName - to use a custom component name for the endpoint
instead of the default namepath - labelApache Camel